// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdUsedefQuote wrapper class

class CqdUsedefQuote : public COleDispatchDriver
{
public:
	CqdUsedefQuote(){} // Calls COleDispatchDriver default constructor
	CqdUsedefQuote(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdUsedefQuote(const CqdUsedefQuote& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdUsedefQuote methods
public:
	long get_DataCookie()
	{
		long result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DataCookie(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 GetValueFromIndex(long lIndex)
	{
		__int64 result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_I8, (void*)&result, parms, lIndex);
		return result;
	}
	CString GetStringFromIndex(long lIndex)
	{
		CString result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x3, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms, lIndex);
		return result;
	}
	CString GetStringFromHashTable(LPCTSTR strKey)
	{
		CString result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x4, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms, strKey);
		return result;
	}

	// qdUsedefQuote properties
public:

};
